%define upstream_name    Rose-DB-Object
%define upstream_version 0.819

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Datetime year to fraction(5) column metadata
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Rose/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bit::Vector)
BuildRequires: perl(Clone) >= 0.290.0
BuildRequires: perl(Cwd)
BuildRequires: perl(DBI) >= 1.400.0
BuildRequires: perl(Data::Dumper) >= 2.121.0
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Math::BigInt) >= 1.770.0
BuildRequires: perl(Rose::DB) >= 0.782.0
BuildRequires: perl(Rose::DateTime::Util) >= 0.532.0
BuildRequires: perl(Rose::Object) >= 0.854.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Clock) >= 1.0.0
BuildArch:  noarch

%description
the Rose::DB::Object manpage is a base class for objects that encapsulate a
single row in a database table. the Rose::DB::Object manpage-derived
objects are sometimes simply called "the Rose::DB::Object manpage objects"
in this documentation for the sake of brevity, but be assured that
derivation is the only reasonable way to use this class.

the Rose::DB::Object manpage inherits from, and follows the conventions of,
the Rose::Object manpage. See the the Rose::Object manpage documentation
for more information.

For an informal overview of this module distribution, consult the the
Rose::DB::Object::Tutorial manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jun 16 2020 guillomovitch <guillomovitch> 0.819.0-1.mga8
+ Revision: 1593762
- new version 0.819

* Tue Jun 09 2020 tv <tv> 0.818.0-1.mga8
+ Revision: 1591359
- update to 0.818

* Mon Apr 06 2020 tv <tv> 0.817.0-1.mga8
+ Revision: 1565079
- update to 0.817

* Sun Apr 05 2020 tv <tv> 0.816.0-1.mga8
+ Revision: 1564739
- update to 0.816

* Wed Feb 12 2020 umeabot <umeabot> 0.815.0-3.mga8
+ Revision: 1506160
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.815.0-2.mga7
+ Revision: 1285960
- Mageia 7 Mass Rebuild

* Mon Oct 30 2017 guillomovitch <guillomovitch> 0.815.0-1.mga7
+ Revision: 1174924
- imported package perl-Rose-DB-Object


* Fri Oct 27 2017 cpan2dist 0.815-1mga
- initial mageia release, generated with cpan2dist
